LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Fields
lives_vstream_t Struct Reference

`#include <stream.h>`

## Data Fields
uint32_t | stream_id
uint32_t | flags
int64_t | timecode
int | hsize
int | vsize
double | fps
int | palette
int | YUV_sampling
int | YUV_clamping
int | YUV_subspace
int | compression_type
size_t | dsize
boolean | data_ready
void * | handle
volatile boolean | reading
void * | buffer
volatile size_t | bufoffs

## Field Documentation

void* lives_vstream_t::buffer

volatile size_t lives_vstream_t::bufoffs

int lives_vstream_t::compression_type

boolean lives_vstream_t::data_ready

size_t lives_vstream_t::dsize

uint32_t lives_vstream_t::flags

double lives_vstream_t::fps

void* lives_vstream_t::handle

int lives_vstream_t::hsize

int lives_vstream_t::palette

volatile boolean lives_vstream_t::reading

uint32_t lives_vstream_t::stream_id

int64_t lives_vstream_t::timecode

int lives_vstream_t::vsize

int lives_vstream_t::YUV_clamping

int lives_vstream_t::YUV_sampling

int lives_vstream_t::YUV_subspace

The documentation for this struct was generated from the following file:

- src/stream.h